## DeviceList.mako
<%inherit file="base.mako"/>
<%devices=page.getDeviceList()%>

<h1>Info:</h1>
	<p>There are ${len(devices)} devices alive on the xAAL network</p>

<h1>List of devices</h1>
	<ul>
		%for deviceAddr in devices:
		<li>
		     <a href=/devices/device?addr=${deviceAddr}> ${devices[deviceAddr]['devType']}: ${deviceAddr} </a>
		</li>
		%endfor
	</ul>

<script type="text/javascript">
	if(typeof(EventSource) !== "undefined") {
		var uri = "/subscribe/devices";
		var source = new EventSource(uri);
		source.onmessage = function(event) {
			console.log(event.data);
			if(event.data == "alive"){
				location.reload(true);
			}
			//document.getElementById("coco").innerHTML = event.data +"</br>";
		};
	} else {
		document.getElementById("coco").innerHTML = "Sorry, your browser does not support server-sent events...";
	}
</script>
