# -*- coding: utf-8 -*-

#  
#  Copyright 2014 Jérôme Kerdreux, Philippe Tanguy, Telecom Bretagne.
#  
#  This file is part of xAAL.
#  
#  xAAL is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#  		
#  xAAL is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  				
#  You should have received a copy of the GNU General Public License
#  along with xAAL. If not, see <http://www.gnu.org/licenses/>.
#  

import sys
import os
from settings import *

if len(sys.argv) < 2:
    print("Manage need at least one argument")
    sys.exit(1)

argument = sys.argv[1]

if argument == "createdb":
    print("Create tables according models...")
    createTables()
elif argument == "dropdb":
    print("Drop tables according models...")
    dropTables()
else:
    print("Wrong argument")
